﻿@font-face {
    font-family: 'Gibson-Regular';
    src: url('../webfonts/3A0846_4_0.eot');
    src: url('../webfonts/3A0846_4_0.eot?#iefix') format('embedded-opentype'),url('../webfonts/3A0846_4_0.woff2') format('woff2'),url('../webfonts/3A0846_4_0.woff') format('woff'),url('../webfonts/3A0846_4_0.ttf') format('truetype');
}
html, body {
    height: 100%;
    overflow: hidden;
}

body {
    font-family: 'Gibson-Regular';
    background-color: #eee;
}

.header {
    background-color: #fff;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    border-bottom: 1px solid rgb(215, 215, 215);
    padding-top: 10px;
    padding-bottom: 10px;
    z-index: 2;
}

a, a:active, a:link, a:visited, a:active {
    color: #0078d7;
    cursor: pointer;
}

.toolbar {
    margin-bottom: 4px;
}

.list-inline > li {
    padding-left: 0;
    padding-right: 0;
}

.functionsContainer {
    display: inline-block;
    margin-top: 10px;
}

.far {
    font-size: 20px;
}

ul {
    margin-bottom: 0;
}

.toolbar li {
    margin-right: 8px;
}

.toolbar a, .toolbar a:active, .toolbar a:visited, .toolbar a:link {
    text-decoration: none;
    text-transform: uppercase;
    display: inline-block;
    padding: 4px;
    color: #333;
}

.toolbar select {
    background-color: #eee;
    border: 0;
    padding: 6px 15px 5px 5px;
    cursor: pointer;
}


.toolbar a:hover {
    text-decoration: none;
    background-color: #eee;
}


#outer {
    position: relative;
    margin-top: 55px;
    height: calc(100vh - 55px);
}

#btThumbnails {
    color: #1aa0fd;
}

#content {
    margin-right: 210px;
    overflow-y: scroll;
    height: 100%;
}

#pages {
    position: relative;
    margin-top: 20px;
    margin-left: auto;
    margin-right: auto;
    width: 794px;
    text-align: center;
}

.page {
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
    /*margin-top: 15px;*/
    width: 794px;
}

.anchor {
    display: block;
    margin-top: 10px;
    padding-bottom: 10px;
}

.btn {
    border-radius: 0;
    border: 0;
    min-width: 80px;
}

.btn-primary {
    background-color: #0078d7;
}

.drawWrapper {
    position: relative;
    border: 1px solid #000;
}

.fileWrapper {
    position: relative;
    border: 1px solid #000;
    width: 581px;
    height: 177px;
    text-align: center;
}

#uploadPreview {
    margin-top: 20px;
}

#btDone {
    background-color: #0078d7;
    color: #fff;
    padding: 3px 10px;
    border-radius: 2px;
}

#btFileUpload {
    background-color: #0078d7;
    color: #fff;
    border-radius: 4px;
    margin-top: 75px;
    z-index: 999;
}

input[type='file'] {
    display: none;
    opacity: 0;
    position: absolute;
}

#signatureCanvas {
    display: block;
    height: 175px;
    min-height: 175px;
    max-height: 175px;
}

.instructions {
    background-color: #000;
    color: #fff;
    font-size: 11px;
    font-weight: bold;
    padding: 8px;
    text-align: center;
    display: block;
}

#signaturesign {
    border-bottom: 1px solid #000;
    position: absolute;
    bottom: 20px;
    left: 10px;
    right: 10px;
}

.btnClear {
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-radius: 2px;
    background-color: #fff;
    color: #111;
    font-size: 12px;
    position: absolute;
    top: 10px;
    right: 10px;
}

.form-control, .form-control:focus {
    border-radius: 0;
    box-shadow: none;
}


#preview {
    float: right;
    /*width: 210px;*/
    position: fixed;
    top: 55px;
    right: 0;
    bottom: 0;
    background-color: #fff;
    overflow-y: scroll;
    padding: 20px;
    box-shadow: 0 4px 14px 0 #a4a3a4;
}

.thumb {
    border: 1px solid #d7d7d7;
    margin-bottom: 10px;
    transition-property: box-shadow;
    transition-duration: 0.15s;
    transition-timing-function: cubic-bezier(0.165, 0.84, 0.44, 1);
    position: relative;
}


    .thumb:hover {
        cursor: pointer;
        box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.2);
    }

.thumbno {
    display: inline-block;
    background-color: #d7d7d7;
    color: #4c4c4c;
    padding: 4px 8px;
    position: absolute;
    top: 0;
    left: 0;
}

#signbox {
    background-color: rgba(255, 255, 0, 0.3);
    border: 3px solid #1aa0fd;
    position: absolute;
    /*width: 250px;
    height: 75px;
    top: 100px;
    left: 100px;*/
    z-index: 999;
    cursor: pointer;
    /*background: repeating-linear-gradient( -55deg, rgba(255, 255, 0, 0.3), rgba(255, 255, 0, 0.3) 10px, rgba(0, 0, 255, 0.3) 10px, rgba(0, 0, 255, 0.3) 20px );*/
}

    #signbox:hover {
        box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.2);
    }

#signpreview {
    position: relative;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}


.tab-pane {
    height: 235px;
    padding-top: 15px;
}

.text-signatures {
    margin-top: 20px;
}



    .text-signatures td {
        padding-right: 20px;
    }

.text-signature {
    border: 1px solid #eeeeee;
    width: 280px;
    height: 70px;
    border-radius: 4px;
    cursor: pointer;
    margin-bottom: 15px;
    display: inline-block;
}

    .text-signature:hover, .selected-signature {
        box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.2);
        border: 1px solid #1aa0fd;
    }




.modal-dialog {
    width: 613px;
    margin: auto;
    top: calc(50% - 230px);
}

.focusedThumb {
    border: 1px solid #0078d7;
    /*background-color: #0078d7;*/
}

    .focusedThumb > .thumbno {
        background-color: #0078d7;
        color: #fff;
    }



#signoverlay {
    position: absolute;
    border: 1px solid #c0c0c0;
    display: block;
    width: 200px;
    background-color: #fff;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.22), 0 14px 56px rgba(0, 0, 0, 0.25);
    border-radius: 5px;
    top: 100px;
    left: 100px;
    z-index: 999;
}


#signoverlay-header {
    background-color: #5d5d5d;
    color: #fff;
    padding: 2px 10px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    font-weight: 700;
    font-size: 12px;
    display: block;
}

#signoverlay-content {
}

#signoverlay a {
    padding: 10px;
    color: #333;
    text-decoration: none;
    display: block;
    cursor: pointer;
    font-weight: bold;
}

    #signoverlay a:hover {
        background-color: #eee;
    }

#signoverlay i {
    color: #1aa0fd;
    margin-right: 3px;
    display: inline-block;
}

#errorDiv {
    display: none;
    background-color: #000;
    color: #fff;
    font-size: 12px;
    font-weight: bold;
    padding: 10px 10px;
    border-radius: 4px;
    width: 240px;
    min-height: 23px;
    text-align: center;
    position: absolute;
    bottom: -50px;
    z-index: 999;
    right: 20px;
}

    #errorDiv:after, #errorDiv:before {
        bottom: 100%;
        left: 50%;
        border: solid transparent;
        content: " ";
        height: 0;
        width: 0;
        position: absolute;
        pointer-events: none;
    }

    #errorDiv:after {
        border-color: rgba(0, 0, 0, 0);
        border-bottom-color: #000000;
        border-width: 5px;
        margin-left: -5px;
    }

    #errorDiv:before {
        border-color: rgba(0, 0, 0, 0);
        border-bottom-color: #000000;
        border-width: 11px;
        margin-left: -11px;
    }



/*#region Med que */

    /*#region JG: lg */
    @media (min-width: 992px) and (max-width: 1200px) {
    }
    /*#endregion JG: lg */

    /*#region JG: md */
    @media (max-width: 992px) {

        .page {
            width:100%;
        }
    }
    /*#endregion JG: md */

    /*#region JG: xs */
@media (max-width: 992px) {

    .page {
        width: 100%;
    }

    #pages img {
        width: 100%;
    }

    .functionsContainer {
        margin-top: 15px;
    }

    .toolbar a, .toolbar a:active, .toolbar a:visited, .toolbar a:link {
        padding: 10px;
    }

    #btDone {
        padding: 10px 15px;
    }

    #pages {
        margin-top: 92px;
        width: 100%;
    }

    #signbox {
        width: 96% !important;
        left: 2% !important;
    }

    .modal {
        z-index: 99999 !important;
    }

    .modal-dialog, .instructions, .fileWrapper, .modal-footer, .text-signatures td {
        display: inline-block;
        float: left;
        width: 100%;
    }

    .modal-content {
        display: inline-block;
        float: left;
        width: 100%;
        height: 531px;
    }

    .tab-content > .active {
        display: inline-block;
        float: left;
        width: 100%;
        height: 87%;
    }

    #signatureCanvas {
        display: inline-block;
        width: 100%;
    }

    #errorDiv {
        display: inline-block;
        float: left;
    }
}

    #errorpage {
        background-color: #fff;
        color: #333;
        text-align: left;
        padding: 20px;
        font-size: 18px;
        position: relative;
        margin-left: auto;
        margin-right: auto;
    }

        #errorpage h2 {
            width: 100%;
            font-size: 30px;
        }

